Package ch.qos.logback.classic.gaffer

## Class AppenderDelegate

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.gaffer.ComponentDelegate
    - - ch.qos.logback.classic.gaffer.AppenderDelegate

All Implemented Interfaces:
  `ContextAware`, `groovy.lang.GroovyObject`

    public class AppenderDelegate
    extends ComponentDelegate

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`AppenderDelegate​(Appender appender)`
`AppenderDelegate​(Appender appender, java.util.List<Appender<?>> appenders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appenderRef​(java.lang.String name)`
`java.util.Map<java.lang.String,​Appender<?>>` `getAppendersByName()`
`java.lang.String` `getLabel()`
`groovy.lang.MetaClass` `getMetaClass()`
`java.lang.Object` `getProperty​(java.lang.String property)`
`java.lang.Object` `invokeMethod​(java.lang.String method, java.lang.Object arguments)`
`void` `setAppendersByName​(java.util.Map<java.lang.String,​Appender<?>> value)`
`void` `setMetaClass​(groovy.lang.MetaClass mc)`
`void` `setProperty​(java.lang.String property, java.lang.Object value)`

### Methods inherited from class ch.qos.logback.classic.gaffer.ComponentDelegate

`analyzeArgs, cascadeFields, getComponent, getComponentName, getFieldsToCascade, getLabelFistLetterInUpperCase, injectParent, methodMissing, parseClassArgument, parseNameArgument, propertyMissing`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppenderDelegate

    public AppenderDelegate​(Appender appender)

#### AppenderDelegate

    public AppenderDelegate​(Appender appender,
                            java.util.List<Appender<?>> appenders)

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`
Overrides:
  `getMetaClass` in class `ComponentDelegate`

#### setMetaClass

    public void setMetaClass​(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`
Overrides:
  `setMetaClass` in class `ComponentDelegate`

#### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String method,
                                         java.lang.Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`
Overrides:
  `invokeMethod` in class `ComponentDelegate`

#### getProperty

    public java.lang.Object getProperty​(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`
Overrides:
  `getProperty` in class `ComponentDelegate`

#### setProperty

    public void setProperty​(java.lang.String property,
                            java.lang.Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`
Overrides:
  `setProperty` in class `ComponentDelegate`

#### getAppendersByName

    public java.util.Map<java.lang.String,​Appender<?>> getAppendersByName()

#### setAppendersByName

    public void setAppendersByName​(java.util.Map<java.lang.String,​Appender<?>> value)

#### getLabel

    public java.lang.String getLabel()

Overrides:
  `getLabel` in class `ComponentDelegate`

#### appenderRef

    public void appenderRef​(java.lang.String name)